Receivers
Retrieve a Receiver
Fetches detailed information on a specific receiver by id , including all associated wallets.
Retrieve a Receiver
curl --request GET \
--url https://api.example.com/receivers/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.example.com/receivers/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.example.com/receivers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/receivers/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/receivers/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/receivers/{id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/receivers/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "f83bb638-dda4-41e6-80c9-d03e6eec2aef",
"phone_number": "+15552368475",
"external_id": "usr12334",
"email": "[email protected]",
"created_at": "2023-02-03T10:45:51.000Z",
"total_payments": "2",
"successful_payments": "2",
"failed_payments": "0",
"canceled_payments": "0",
"remaining_payments": "0",
"registered_wallets": "1",
"received_amounts": [
{
"asset_code": "USDC",
"asset_issuer": "GBBD47IF6LWK7P7MDEVSCWR7DPUWV3NY3DTQEVFL4NAT4AQH3ZLLFLA5",
"received_amount": "100.00"
}
],
"wallets": [
{
"id": "803031d4-1d04-4879-b6d9-dc5641f9988e",
"receiver": {
"id": "029e2ed0-feb6-4c40-8b47-0836a85741a2"
},
"wallet": {
"id": "5ada9ed5-455a-4782-a0ee-160767e0deb1",
"name": "Vibrant Assist",
"homepage": "https://vibrantapp.com",
"sep_10_client_domain": "api-dev.vibrantapp.com",
"deep_link_schema": "https://vibrantapp.com/sdp-dev",
"enabled": true,
"user_managed": false
},
"stellar_address": "GCXAJ3XJ3VK3JFH3QMDFOSKM2NMMZBSO3VIT6EUPQWSDW2J74M23RRSL",
"stellar_memo": "<string>",
"stellar_memo_type": "<string>",
"created_at": "2023-02-03T10:45:51.000Z",
"updated_at": "2023-02-03T10:45:51.000Z",
"invited_at": "2023-02-09T10:45:51.000Z",
"last_message_sent_at": "2023-02-10T10:45:51.000Z",
"total_payments": "2",
"payments_received": "2",
"failed_payments": "0",
"canceled_payments": "0",
"remaining_payments": "0",
"received_amounts": [
{
"asset_code": "USDC",
"asset_issuer": "GBBD47IF6LWK7P7MDEVSCWR7DPUWV3NY3DTQEVFL4NAT4AQH3ZLLFLA5",
"received_amount": "100.00"
}
],
"status": "DRAFT",
"status_history": [
{
"status": "DRAFT",
"timestamp": "2023-02-10T10:45:51Z"
}
]
}
]
}{
"error": "Not authorized",
"extras": {
"status": 401,
"message": "Not authorized"
}
}{
"error": "Forbidden"
}{
"error": "Not found",
"extras": {
"status": 404,
"message": "Resource not found"
}
}Authorizations
Authorization header containing an SDP JWT (ES256) or an SDP_ API key.
Path Parameters
ID of the Receiver.
Response
Receiver Details
Example:
"f83bb638-dda4-41e6-80c9-d03e6eec2aef"
Example:
"+15552368475"
Example:
"usr12334"
Example:
Example:
"2023-02-03T10:45:51.000Z"
Example:
"2"
Example:
"2"
Example:
"0"
Example:
"0"
Example:
"0"
Example:
"1"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Retrieve a Receiver
curl --request GET \
--url https://api.example.com/receivers/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.example.com/receivers/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.example.com/receivers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/receivers/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/receivers/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/receivers/{id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/receivers/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "f83bb638-dda4-41e6-80c9-d03e6eec2aef",
"phone_number": "+15552368475",
"external_id": "usr12334",
"email": "[email protected]",
"created_at": "2023-02-03T10:45:51.000Z",
"total_payments": "2",
"successful_payments": "2",
"failed_payments": "0",
"canceled_payments": "0",
"remaining_payments": "0",
"registered_wallets": "1",
"received_amounts": [
{
"asset_code": "USDC",
"asset_issuer": "GBBD47IF6LWK7P7MDEVSCWR7DPUWV3NY3DTQEVFL4NAT4AQH3ZLLFLA5",
"received_amount": "100.00"
}
],
"wallets": [
{
"id": "803031d4-1d04-4879-b6d9-dc5641f9988e",
"receiver": {
"id": "029e2ed0-feb6-4c40-8b47-0836a85741a2"
},
"wallet": {
"id": "5ada9ed5-455a-4782-a0ee-160767e0deb1",
"name": "Vibrant Assist",
"homepage": "https://vibrantapp.com",
"sep_10_client_domain": "api-dev.vibrantapp.com",
"deep_link_schema": "https://vibrantapp.com/sdp-dev",
"enabled": true,
"user_managed": false
},
"stellar_address": "GCXAJ3XJ3VK3JFH3QMDFOSKM2NMMZBSO3VIT6EUPQWSDW2J74M23RRSL",
"stellar_memo": "<string>",
"stellar_memo_type": "<string>",
"created_at": "2023-02-03T10:45:51.000Z",
"updated_at": "2023-02-03T10:45:51.000Z",
"invited_at": "2023-02-09T10:45:51.000Z",
"last_message_sent_at": "2023-02-10T10:45:51.000Z",
"total_payments": "2",
"payments_received": "2",
"failed_payments": "0",
"canceled_payments": "0",
"remaining_payments": "0",
"received_amounts": [
{
"asset_code": "USDC",
"asset_issuer": "GBBD47IF6LWK7P7MDEVSCWR7DPUWV3NY3DTQEVFL4NAT4AQH3ZLLFLA5",
"received_amount": "100.00"
}
],
"status": "DRAFT",
"status_history": [
{
"status": "DRAFT",
"timestamp": "2023-02-10T10:45:51Z"
}
]
}
]
}{
"error": "Not authorized",
"extras": {
"status": 401,
"message": "Not authorized"
}
}{
"error": "Forbidden"
}{
"error": "Not found",
"extras": {
"status": 404,
"message": "Resource not found"
}
}